
// Variable overrides
$light: rgb(255, 255, 255);
$lightgrey: lightgrey;
$dark: black;

$link:#343a40;
$link-secondary: teal;
$danger: red;
$fontwhite: white;

@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@100;200;300;800&display=swap");
@import "node_modules/bootstrap/scss/bootstrap";

$layout_bp_mobile: 360px;
$layout_bp_tablet: 768px;
$layout_bp_tablet-large: 992px;
$layout_bp_desktop: 1280px;
$layout_bp_desktop-large: 3840px;

// SCSS Mixins

@mixin mobile {
  @media only screen and (max-width: #{$layout_bp_mobile}) {
    @content;
  }
}
@mixin tablet {
  @media only screen and (min-width: #{$layout_bp_tablet}) {
    @content;
  }
}
@mixin tablet-large {
  @media only screen and (min-width: #{$layout_bp_tablet-large}) {
    @content;
  }
}

@mixin desktop {
  @media only screen and (min-width: #{$layout_bp_desktop}) {
    @content;
  }
}

@mixin display-center {
  display: flex;
  flex-direction: column;
  align-items: center;
}

@mixin display-wrap {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
}


// Animations 
@keyframes fade-in {
  0% { opacity: 0; }
  100% { opacity: 1; }
}